Get registered participants
Returns the list of financial institutions registered and enabled to operate
payments under your ITP. Use OrganisationId and AuthorisationServerId
when you Create enrollment for the JSR flow.
GET
/api/v1/open-integration/participants/registeredGet registered participants
Returns the institutions registered and enabled for payment operation under the caller subtenant.
Auth: Bearer Token
Cabeçalhos
1 camposubTenantId●headerstring
Identifier of the subtenant under which the payment will be initiated.
curl --request GET \
--url 'https://embedded-payment-manager.hml.linaob.com.br/api/v1/open-integration/participants/registered' \
--header 'Authorization: Bearer <SEU_TOKEN>' \
--header 'subTenantId: subtenant_abc123'Response
200Registered participants returned successfully.
Response body
object
- dataarray of objectsrequired
List of participants.
- itemobject
- messagestring
Response message.
- typestring
Response type. One of `error`, `warning`, `info`, `success`.
- statusCodeinteger· nullable
HTTP status code carried inside the envelope.
200 · Registered participants returned successfully.
{
"data": [
{
"OrganisationId": "12345",
"Status": "active",
"OrganisationName": "ACME Corp",
"CreatedOn": "2023-01-01T00:00:00Z",
"LegalEntityName": "ACME Legal Entity",
"CountryOfRegistration": "BR",
"RegistrationNumber": "12345678000195",
"RegistrationId": "reg123",
"RegisteredName": "ACME Registered Name",
"City": "São Paulo",
"Country": "BR",
"AuthorisationServers": [
{
"AuthorisationServerId": "server123",
"CustomerFriendlyName": "ACME Bank"
}
],
"OrgDomainClaims": [],
"OrgDomainRoleClaims": []
}
],
"message": "OK",
"type": "success",
"statusCode": 200
}Next steps
- Create enrollment — open a JSR enrollment and receive
redirectUrlfor the bank step.